org.faceless.pdf2.viewer2.feature

## Class InvisiblySignDocument

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.InvisiblySignDocument

-     public class InvisiblySignDocument
      extends ViewerWidget

  Creates a new, invisible `FormSignature` field and then sign it. The field is created by the `createSignature()` method, a `SignatureProvider` is chosen and then the `sign()` method is called to apply the signature.

  As supplied this Widget only creates a menu item - the button is disabled by default.

  The name of this feature is InvisiblySignDocument

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvisiblySignDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` The method that's run when this feature is activated.
    `protected FormSignature` | `createSignature()` Create the Signature field that will be signed by this widget
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `boolean` | `isButtonEnabledByDefault()` Return true if the button component for this widget is enabled by default.
    `void` | `sign(FormSignature field, DocumentPanel docpanel, SignatureProvider provider)` Sign the Signature field.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvisiblySignDocument

          public InvisiblySignDocument()

  - ### Method Detail

    - #### isButtonEnabledByDefault

          public boolean isButtonEnabledByDefault()

      Description copied from class: `ViewerWidget`
      Return true if the button component for this widget is enabled by default. The default is "true"
      Overrides:
        `isButtonEnabledByDefault` in class `ViewerWidget`

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerWidget`

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ViewerWidget`
      The method that's run when this feature is activated. This method is called by the `ActionListener` returned by the default implementation of `ViewerWidget.createActionListener()`, and by default is a no-op.
      Overrides:
        `action` in class `ViewerWidget`

    - #### createSignature

          protected FormSignature createSignature()

      Create the Signature field that will be signed by this widget

    - #### sign

          public void sign(FormSignature field,
                           DocumentPanel docpanel,
                           SignatureProvider provider)
                    throws IOException,
                           GeneralSecurityException

      Sign the Signature field.
      Throws:
        `IOException`
        `GeneralSecurityException`

Copyright © 2001-2015 Big Faceless Organization